[gegl] Check for and run intltoolize in autogen.sh
- From: Jon Nordby <jonnor src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gegl] Check for and run intltoolize in autogen.sh
- Date: Fri, 25 Apr 2014 15:45:35 +0000 (UTC)
commit 5738b7046839f48e016db9ac4abad6e8a49d42ee
Author: Jon Nordby <jononor gmail com>
Date: Fri Apr 25 17:14:58 2014 +0200
Check for and run intltoolize in autogen.sh
On some platforms, including Heroku, the intltool macros cannot
be found during build, possibly because the version of autoreconf
does not respect ACLOCAL_PATH. Using intltoolize also allows
to avoid a dependency on intltool when installing from tarball.
.gitignore | 1 +
autogen.sh | 7 +++++++
configure.ac | 3 +--
3 files changed, 9 insertions(+), 2 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 69c9757..0fa1bd3 100644
--- a/.gitignore
+++ b/.gitignore
@@ -47,3 +47,4 @@
cscope.files
cscope.out
/*.project
+m4/intltool.m4
diff --git a/autogen.sh b/autogen.sh
index aa5b7a9..0f34263 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -21,6 +21,13 @@ if test -z $AUTORECONF; then
exit 1
fi
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
+
+intltoolize --automake --copy
autoreconf --force --install --verbose
cd $ORIGDIR
diff --git a/configure.ac b/configure.ac
index 2703290..82fa9b8 100644
--- a/configure.ac
+++ b/configure.ac
@@ -543,8 +543,7 @@ AC_CHECK_FUNCS(bind_textdomain_codeset,,
]))
LIBS=$gegl_save_LIBS
-m4_ifdef([IT_PROG_INTLTOOL],[IT_PROG_INTLTOOL(0.40.1),],
- AC_MSG_ERROR([*** intltool version 0.40.1 or later required]))
+IT_PROG_INTLTOOL(0.40.1)
AM_GLIB_GNU_GETTEXT
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]